Bug 841843 - TCMS webUI does not propagate test run global properties to caseruns properly (at least Build property)
TCMS webUI does not propagate test run global properties to caseruns properly...
Status: ASSIGNED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.9.2
Assigned To: June Zhang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 07:36 EDT by Frantisek Reznicek
Modified: 2016-06-23 00:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2012-07-20 07:36:09 EDT
Description of problem:

TCMS webUI does not propagate test run global properties to caseruns properly.

When you create test run containing at least one caserun selected global test-run properties are copied into case-runs (for instance Build).

In case you decide to pick another build for current test run (by editing test run) no caserun is updated with that change.

There might be discussion why to do that (in our case we wanted to differentiate between parts of the product - for TCMS reporting purpose where you cannot select one by one test runs for your custom report) but fact is that single test-run has to have common build, so ability to enter state when
test-run build ID does not match with corresponding caseruns builds is evidently WRONG.

Version-Release number of selected component (if applicable):
Nitrate 3.7.1

How reproducible:
100%

Steps to Reproduce:
1. Let's have test-plan with at least 2 test cass
2. Create run R (using build B1)
3. Change R's build to B2
4. Check R's caseruns build properties
  
Actual results:
Test run and corresponding case run builds may not match.

Expected results:
Test run and corresponding case run builds have to match.

Additional info:
Comment 2 Zheng Liu 2012-09-06 04:20:36 EDT
This bug is related to db schema, so will fix it in TCMS4.0

Note You need to log in before you can comment on or make changes to this bug.